Subject: bug#20141: 24.4.91; Helm is broken after last changes in eieio

From: Ivan Shmakov <[email-masked]>
Date: Thu, 19 Mar 2015 07:20:20 +0000

>>>>> Thierry Volpiatto <[email-masked]> writes:
>>>>> Ivan Shmakov <[email-masked]> writes:

 >> Frankly, I wasn’t even able to build Emacs as of 8dfff871bdf0
 >> (2015-03-18 14:49:55Z), although the error for me is different
 >> (MIMEd.  Please note that I do not bootstrap – I /always/ build in a
 >> freshly created build directory; lndir-ed.)  Going two commits back
 >> (to fd93edbb1cab) resolved the issue.

 > Building fine for me

	As of 8dfff871bdf0 or (the more recent) 50c117fe86d9?

 > even without bootstrapping.

	That’s the point: the build procedure I follow effectively does
	‘bootstrap’ for each and every build; that is: no .elc of one
	build is available for use to another.  Think of, say:

$ git clone emacs emacs-build \
      && cd emacs-build \
      && autoreconf -v -i -I m4 \
      && ./configure --prefix="$HOME" --disable-silent-rules … \
      && LC_ALL=C nice -n+19 ionice -c 3 nohup /usr/bin/time \
             make -j 2 -- lib lib-src src lisp & 

-- 
FSF associate member #7257  np. One Leaf — Elk          … 3013 B6A0 230E 334A